Subject: bug#54971: 28.1; input method chinese-ctlaub unable to enter �p

From: Eli Zaretskii <[email-masked]>
Date: Sat, 16 Apr 2022 19:22:06 +0300

> From: Lars Ingebrigtsen <[email-masked]>
> Cc: Van Ly <[email-masked]>,  [email-masked]
> Date: Sat, 16 Apr 2022 16:20:31 +0200
> 
> Eli Zaretskii <[email-masked]> writes:
> 
> > What is that \265 octal escape?  You use it in the URL below as well:
> 
> The mail from Van Ly used a very odd charset -- GB2312 -- so perhaps
> rmail had difficulties with it?

I don't think so: the encoding of the buffer was shown correctly, and
the decoding uses the usual Emacs primitives.

> It came across fine in Gnus:
> 
> ----
> The character entered by typing "C-x 8 RET 794a" for 祊 is incapable
> of being entered using the chinese-ctlaub input method.
> 
> At the following website, the Sidney Lau "Cant. Scheme" has
> "Canton. Syllables" for typing in 祊 using
> 
> * bang
> * paang
> 
> => https://humanum.arts.cuhk.edu.hk/Lexis/lexi-mf/search.php?word=祊
> Multi-function Chinese Character Database

OK, but I don't understand what I see on that page.  And anyway, I
think the conclusion is the same: we don't have that character in the
file we use as the source for the chinese-ctlaub input method.